Linuxiarze.pl Forum

Dystrybucje Linux => Ubuntu, Kubuntu, Xubuntu, Lubuntu => Wątek zaczęty przez: ciskosu2 w Kwiecień 22, 2019, 05:58:33 pm

Tytuł: [ROZWIĄZANY]Przypadkowe usunięcie GNOME i innych pakietów w Synaptic
Wiadomość wysłana przez: ciskosu2 w Kwiecień 22, 2019, 05:58:33 pm
Walcząc z zainstalowaniem Scatchupa przez POL/WINE i błędem

Wine cannot find the FreeType font library.  To enable Wine to
use TrueType fonts please install a version of FreeType greater than
or equal to 2.0.5.


Postanowiłem spórbówać usunąć Freetypa przez Synaptica (teraz już wiem, że jest to niemożliwe).
Usuwanie wydało mi się zbyt długie, niestety było już za późno...usunąłem sporą część pakietów… poracha na maxa. Już nawet nie chcę wyliczać czego brakuję bo co chwilę znajduję coś nowego.

Da się przywrócić poprzednie ustawienia i pliki z momentu przed usuwaniem?

Co prawda bez przekonania, ale próbowałem:
sudo apt-get  update

Dzięki za pomoc

Wrzucam wpis z loga:

(Odczytywanie bazy danych ... 181911 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu apport-gtk (2.20.9-0ubuntu7.6) ...
Usuwanie pakietu nautilus-share (0.7.3-2ubuntu3) ...
Usuwanie pakietu apturl (0.5.2ubuntu14.2) ...
Usuwanie pakietu brasero (3.12.1-4ubuntu2) ...
Usuwanie pakietu eog (3.28.1-1) ...
Usuwanie pakietu flashplugin-installer (32.0.0.171ubuntu0.18.04.1) ...
Usuwanie pakietu furiusisomount (0.11.3.1~repack1-1) ...
Usuwanie pakietu ubuntu-desktop (1.417) ...
Usuwanie pakietu gdm3 (3.28.3-0ubuntu18.04.4) ...
Usuwanie pakietu gedit (3.28.1-1ubuntu1.1) ...
Usuwanie pakietu ubuntu-session (3.28.1-0ubuntu3) ...
Usuwanie pakietu update-notifier (3.192.1.5) ...
Usuwanie pakietu update-manager (1:18.04.11.9) ...
Usuwanie pakietu ubuntu-release-upgrader-gtk (1:18.04.30) ...

Wybieranie wcześniej niewybranego pakietu policykit-1-gnome.
(Odczytywanie bazy danych ... 179969 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../policykit-1-gnome_0.105-6ubuntu2_amd64.deb ...
Rozpakowywanie pakietu policykit-1-gnome (0.105-6ubuntu2) ...

(Odczytywanie bazy danych ... 179978 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu rhythmbox-plugins (3.4.2-4ubuntu1) ...
Usuwanie pakietu gir1.2-webkit2-4.0:amd64 (2.22.6-0ubuntu0.18.04.1) ...
Usuwanie pakietu totem-plugins (3.26.0-0ubuntu6.2) ...
Usuwanie pakietu gir1.2-gtksource-3.0:amd64 (3.24.7-1) ...
Usuwanie pakietu gnome-software-plugin-snap (3.28.1-0ubuntu4.18.04.9) ...
Usuwanie pakietu gir1.2-peas-1.0:amd64 (1.22.0-2) ...
Usuwanie pakietu gir1.2-rb-3.0:amd64 (3.4.2-4ubuntu1) ...
Usuwanie pakietu gir1.2-totem-1.0:amd64 (3.26.0-0ubuntu6.2) ...
Usuwanie pakietu orca (3.28.0-3ubuntu1) ...
Usuwanie pakietu gir1.2-wnck-3.0:amd64 (3.24.1-2) ...
Usuwanie pakietu gnome-control-center (1:3.28.2-0ubuntu0.18.04.3) ...
Usuwanie pakietu gvfs-backends (1.36.1-0ubuntu1.3) ...
Usuwanie pakietu nautilus (1:3.26.4-0~ubuntu18.04.4) ...
Usuwanie pakietu gvfs-fuse (1.36.1-0ubuntu1.3) ...
Usuwanie pakietu ibus-table (1.9.14-3) ...
Usuwanie pakietu ibus (1.5.17-3ubuntu4) ...
Usuwanie pakietu language-selector-gnome (0.188.1) ...
Usuwanie pakietu libatk-wrapper-java-jni:amd64 (0.33.3-20ubuntu0.1) ...
Usuwanie pakietu libatk-wrapper-java (0.33.3-20ubuntu0.1) ...
Usuwanie pakietu libpango1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Usuwanie pakietu xorg (1:7.7+19ubuntu7.1) ...
Usuwanie pakietu playonlinux (4.2.12-1) ...
Usuwanie pakietu x11-apps (7.7+6ubuntu1) ...
Usuwanie pakietu nautilus-extension-brasero:amd64 (3.12.1-4ubuntu2) ...
Usuwanie pakietu system-config-printer (1.5.11-1ubuntu2) ...
Usuwanie pakietu system-config-printer-common (1.5.11-1ubuntu2) ...
Usuwanie pakietu ubuntu-software (3.28.1-0ubuntu4.18.04.9) ...
Usuwanie pakietu usb-creator-gtk (0.3.5) ...
Usuwanie pakietu gnome-software (3.28.1-0ubuntu4.18.04.9) ...
Usuwanie pakietu software-properties-gtk (0.96.24.32.7) ...
Usuwanie pakietu python3-aptdaemon.gtk3widgets (1.1.1+bzr982-0ubuntu19) ...
Usuwanie pakietu gir1.2-vte-2.91:amd64 (0.52.2-1ubuntu1~18.04.2) ...
Usuwanie pakietu gvfs:amd64 (1.36.1-0ubuntu1.3) ...
Usuwanie pakietu gvfs-daemons (1.36.1-0ubuntu1.3) ...
Usuwanie pakietu libgtk3-perl (0.032-1) ...
Usuwanie pakietu x11-utils (7.7+3build1) ...
dpkg: gir1.2-gnomebluetooth-1.0:amd64: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od gir1.2-gnomebluetooth-1.0 (>= 3.12.0); jednakże:
  Pakiet gir1.2-gnomebluetooth-1.0:amd64 jest przeznaczony do usunięcia.

Usuwanie pakietu gir1.2-gnomebluetooth-1.0:amd64 (3.28.0-2ubuntu0.1) ...
dpkg: gir1.2-gnomedesktop-3.0:amd64: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od gir1.2-gnomedesktop-3.0 (>= 3.12.0); jednakże:
  Pakiet gir1.2-gnomedesktop-3.0:amd64 jest przeznaczony do usunięcia.

Usuwanie pakietu gir1.2-gnomedesktop-3.0:amd64 (3.28.2-0ubuntu1.2) ...
dpkg: gir1.2-gtk-3.0:amd64: problemy z zależnościami, usuwanie według żądania:
 gir1.2-gcr-3:amd64 zależy od gir1.2-gtk-3.0 (>= 3.12.0).
 gir1.2-nma-1.0:amd64 zależy od gir1.2-gtk-3.0 (>= 3.10).
 gir1.2-gweather-3.0:amd64 zależy od gir1.2-gtk-3.0 (>= 3.13.5).
 gir1.2-mutter-2:amd64 zależy od gir1.2-gtk-3.0 (>= 3.19.8).
 libgjs0g zależy od gir1.2-gtk-3.0 (>= 3.20).
 gnome-shell zależy od gir1.2-gtk-3.0 (>= 3.16); jednakże:
  Pakiet gir1.2-gtk-3.0:amd64 jest przeznaczony do usunięcia.

Usuwanie pakietu gir1.2-gtk-3.0:amd64 (3.22.30-1ubuntu2) ...
dpkg: gir1.2-gweather-3.0:amd64: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od gir1.2-gweather-3.0; jednakże:
  Pakiet gir1.2-gweather-3.0:amd64 jest przeznaczony do usunięcia.

Usuwanie pakietu gir1.2-gweather-3.0:amd64 (3.28.2-1~ubuntu18.04.1) ...
dpkg: gir1.2-mutter-2:amd64: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od gir1.2-mutter-2 (>= 3.27.91); jednakże:
  Pakiet gir1.2-mutter-2:amd64 jest przeznaczony do usunięcia.

Usuwanie pakietu gir1.2-mutter-2:amd64 (3.28.3-2~ubuntu18.04.2) ...
dpkg: gir1.2-nma-1.0:amd64: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od gir1.2-nma-1.0; jednakże:
  Pakiet gir1.2-nma-1.0:amd64 jest przeznaczony do usunięcia.

Usuwanie pakietu gir1.2-nma-1.0:amd64 (1.8.10-2ubuntu2) ...
dpkg: gir1.2-pango-1.0:amd64: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od gir1.2-pango-1.0; jednakże:
  Pakiet gir1.2-pango-1.0:amd64 jest przeznaczony do usunięcia.

Usuwanie pakietu gir1.2-pango-1.0:amd64 (1.40.14-1ubuntu0.1) ...
dpkg: gjs: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od gjs (>= 1.47.90); jednakże:
  Pakiet gjs jest przeznaczony do usunięcia.

Usuwanie pakietu gjs (1.52.5-0ubuntu18.04.1) ...
dpkg: libgjs0g: problemy z zależnościami, usuwanie według żądania:
 gnome-shell zależy od libgjs0-libmozjs-52-0; jednakże:
  Pakiet libgjs0-libmozjs-52-0 nie jest zainstalowany.
  Pakiet libgjs0g dostarcza libgjs0-libmozjs-52-0, ale jest przeznaczony do usunięcia.
 gnome-shell zależy od libgjs0g (>= 1.52.1); jednakże:
  Pakiet libgjs0g jest przeznaczony do usunięcia.
 gnome-shell zależy od libgjs0-libmozjs-52-0; jednakże:
  Pakiet libgjs0-libmozjs-52-0 nie jest zainstalowany.
  Pakiet libgjs0g dostarcza libgjs0-libmozjs-52-0, ale jest przeznaczony do usunięcia.
 gnome-shell zależy od libgjs0g (>= 1.52.1); jednakże:
  Pakiet libgjs0g jest przeznaczony do usunięcia.

Usuwanie pakietu libgjs0g (1.52.5-0ubuntu18.04.1) ...
Usuwanie pakietu libpangoxft-1.0-0:amd64 (1.40.14-1ubuntu0.1) ...
Usuwanie pakietu libxft2:amd64 (2.3.2-1) ...
dpkg: gnome-shell: problemy z zależnościami, usuwanie według żądania:
 network-manager-gnome zależy od policykit-1-gnome | polkit-1-auth-agent; jednakże:
  Pakiet policykit-1-gnome nie jest jeszcze skonfigurowany.
  Pakiet polkit-1-auth-agent nie jest zainstalowany.
  Pakiet policykit-1-gnome dostarcza polkit-1-auth-agent, ale nie został jeszcze skonfigurowany.
  Pakiet gnome-shell dostarcza polkit-1-auth-agent, ale jest przeznaczony do usunięcia.

Usuwanie pakietu gnome-shell (3.28.3-0ubuntu0.18.04.4) ...
dpkg: ostrzeżenie: podczas usuwania pakietu gnome-shell, katalog "/usr/lib/mozilla/plugins" nie był pusty, więc nie został usunięty
Usuwanie pakietu gir1.2-gcr-3:amd64 (3.28.0-1) ...
(Odczytywanie bazy danych ... 177473 pliki i katalogi obecnie zainstalowane.)
Przygotowywanie do rozpakowania pakietu .../ubuntu-release-upgrader-core_1%3a18.04.31_all.deb ...
Rozpakowywanie pakietu ubuntu-release-upgrader-core (1:18.04.31) nad (1:18.04.30) ...
Przygotowywanie do rozpakowania pakietu .../python3-distupgrade_1%3a18.04.31_all.deb ...
Rozpakowywanie pakietu python3-distupgrade (1:18.04.31) nad (1:18.04.30) ...
Przygotowywanie do rozpakowania pakietu .../python3-update-manager_1%3a18.04.11.10_all.deb ...
Rozpakowywanie pakietu python3-update-manager (1:18.04.11.10) nad (1:18.04.11.9) ...
Przygotowywanie do rozpakowania pakietu .../update-manager-core_1%3a18.04.11.10_all.deb ...
Rozpakowywanie pakietu update-manager-core (1:18.04.11.10) nad (1:18.04.11.9) ...
Przygotowywanie do rozpakowania pakietu .../gir1.2-javascriptcoregtk-4.0_2.24.1-0ubuntu0.18.04.1_amd64.deb ...
Rozpakowywanie pakietu gir1.2-javascriptcoregtk-4.0:amd64 (2.24.1-0ubuntu0.18.04.1) nad (2.22.6-0ubuntu0.18.04.1) ...
Przetwarzanie wyzwalaczy pakietu mime-support (3.60ubuntu1)...
Przetwarzanie wyzwalaczy pakietu desktop-file-utils (0.23-1ubuntu3.18.04.2)...
Przetwarzanie wyzwalaczy pakietu libglib2.0-0:amd64 (2.56.3-0ubuntu0.18.04.1)...
Przetwarzanie wyzwalaczy pakietu libglib2.0-0:i386 (2.56.3-0ubuntu0.18.04.1)...
Konfigurowanie pakietu gir1.2-javascriptcoregtk-4.0:amd64 (2.24.1-0ubuntu0.18.04.1) ...
Przetwarzanie wyzwalaczy pakietu libc-bin (2.27-3ubuntu1)...
Konfigurowanie pakietu policykit-1-gnome (0.105-6ubuntu2) ...
Przetwarzanie wyzwalaczy pakietu man-db (2.8.3-2ubuntu0.1)...
Przetwarzanie wyzwalaczy pakietu shared-mime-info (1.9-2)...
Przetwarzanie wyzwalaczy pakietu gnome-menus (3.13.3-11ubuntu1.1)...
Przetwarzanie wyzwalaczy pakietu hicolor-icon-theme (0.17-2)...
Konfigurowanie pakietu python3-update-manager (1:18.04.11.10) ...
Konfigurowanie pakietu python3-distupgrade (1:18.04.31) ...
Konfigurowanie pakietu ubuntu-release-upgrader-core (1:18.04.31) ...
Konfigurowanie pakietu update-manager-core (1:18.04.11.10) ...
Przetwarzanie wyzwalaczy pakietu update-notifier-common (3.192.1.5)...

Dzięki wielkie
Tytuł: Odp: Przypadkowe usunięcie GNOME i innych pakietów w Synaptic
Wiadomość wysłana przez: lami07 w Kwiecień 22, 2019, 07:10:26 pm
Próbowałeś już
sudo apt install ubuntu-desktop
Tytuł: Odp: Przypadkowe usunięcie GNOME i innych pakietów w Synaptic
Wiadomość wysłana przez: ciskosu2 w Kwiecień 22, 2019, 08:16:25 pm

Próbowałeś już
sudo apt install ubuntu-desktop

Boom! Zainstalowało w zasadzie 80% usuniętych pakietów, reszte doklepie ręcznie. Dzięki wielki wodzu  :) :)
Tytuł: Odp: Przypadkowe usunięcie GNOME i innych pakietów w Synaptic
Wiadomość wysłana przez: lami07 w Kwiecień 22, 2019, 08:41:08 pm
Nie za ma co. Teraz oznacz wątek jako [ROZWIĄZANY]